<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="!dataGrid.length">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button class="btn btn-danger ml-1" (click)="getInfo()" [disabled]="!dataGrid.length">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">
    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo" [max]="maxDateDesde"
            (valueChange)="fechaDesdeChange()">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="minDateHasta"
            (valueChange)="fechaHastaChange()">
          </kendo-datepicker>
        </div>
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="Todos" class="k-radio mt-2"
            [checked]="true" />
          <label class="k-radio-label mr-2 mt-2 w-100" for="Todos">Todos</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Producers" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Producers">Top Producers</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="3" id="Agencia" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Agencia">Agencia</label>
        </div>
        <div class="col-sm-7 col-md-3 col-lg-3 col-xl-3 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="1" id="Rsrv1" class="k-radio mt-2"
            [checked]="true" />
          <label class="k-radio-label mr-2 mt-2 w-100" for="Rsrv1">Rsrv/Forecast</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="2" id="FA" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="FA">Rsrv/Forecast/F.A</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="3" id="Allotment" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Allotment">Rsrv/Forecast/Allotment</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="4" id="FaAllot" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="FaAllot">Rsrv/Forecast/F.A./Allotment</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="5" id="Garantia" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Garantia">Rsrv/Forecast/F.A./Allotment/Garantía</label>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog2" class="k-checkbox mt-2" formControlName="lLog2" checked="true" />
          <label class="k-checkbox-label mt-2 w-100" for="lLog2">Separa</label>
          <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1" checked="true" />
          <label class="k-checkbox-label mt-2 w-100" for="lLog1">Con Fallados</label>
        </div>
        <div class="col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="1" id="SinTipoCto" class="k-radio mt-2" />
          <label class="k-radio-label mr-2 mt-2 w-100" for="SinTipoCto">Sin tipo de cuarto</label>
          <input type="radio" name="iInt3" formControlName="iInt3" value="2" id="Agrupado" class="k-radio"
            [checked]="true" />
          <label class="k-radio-label mr-2 w-100" for="Agrupado">Agrupado por tipo</label>
        </div>
        <div class="col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt4" formControlName="iInt4" value="1" id="ConTipos" class="k-radio mt-2" />
          <label class="k-radio-label mr-2 mt-2 w-100" for="ConTipos">Solo estos tipos</label>
          <input type="radio" name="iInt4" formControlName="iInt4" value="2" id="QuitarTipos" class="k-radio"
            [checked]="true" />
          <label class="k-radio-label mr-2 w-100" for="QuitarTipos">Quitar estos tipos</label>
        </div>
        <div class="col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="1" id="Ninguno" class="k-radio mt-2"
            [checked]="true" />
          <label class="k-radio-label mr-2 mt-2 w-100" for="Ninguno">Ninguno</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="2" id="Origen" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Origen">Origen</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="3" id="Segmento" class="k-radio mt-2" />
          <label class="k-radio-label mr-2 w-100" for="Segmento">Segmento</label>
          <input type="radio" name="iInt5" formControlName="iInt5" value="4" id="Clasificacion" class="k-radio" />
          <label class="k-radio-label mr-2 w-100" for="Clasificacion">Clasificación</label>
        </div>
        <div class="col-sm-3 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog3" class="k-checkbox mt-2" formControlName="lLog3" checked="true" />
          <label class="k-checkbox-label mt-2 w-100" for="lLog3">Semanal</label>
        </div>
      </div>
    </form>

    <div class="divider"></div>


    <div class="row">
      <table class="table table-responsive table-hover" *ngIf="dataGrid.length">
        <thead>
          <tr style="white-space: nowrap">
            <th>Agencia</th>
            <th>Tipo</th>
            <th>M</th>
            <th *ngFor="let fila of dataFechas">
              {{ fila.DiaFecha }}
            </th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngFor="let fila of dataGrid; let i = index">
            <tr>
              <th scope="row">{{ fila.Agencia }}</th>
              <td>{{ fila.TipoCuarto }}</td>
              <td>{{ fila.MD }}</td>

              <td class="text-right" *ngFor="let item of dataTableGrid[i].DispAllotDetalle">
                {{ item.Cantidad }}
              </td>
              <td class="text-right">{{ fila.tTot }}</td>
            </tr>
          </ng-container>
        </tbody>
      </table>
    </div>

    <div class="row">
      <table class="table table-responsive table-hover" *ngIf="dataGrid.length != 0">
        <thead>
          <tr style="white-space: nowrap">
            <th>Tipo</th>
            <th>M</th>
            <th *ngFor="let fila of dataFechas">
              {{ fila.DiaFecha }}
            </th>
            <th>Total</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngFor="let fila of dataGlobal; let i = index">
            <tr>
              <th scope="row">{{ fila.TipoCuarto }}</th>
              <td>{{ fila.tMD }}</td>

              <td class="text-right" *ngFor="let item of dataTableGlobal[i].ttGlobalDetalle">
                {{ item.Cantidad }}
              </td>
              <td class="text-right">{{ fila.tTot }}</td>
            </tr>
          </ng-container>
        </tbody>
      </table>
    </div>

    <!-- <kendo-grid
      [kendoGridBinding]="dataGlobal"
      *ngIf="!loading"
      [selectable]="true"
      [filter]="filter"
      [filterable]="true"
      [navigable]="true"
      [reorderable]="true"
      [resizable]="true"
      [sortable]="true"
      [pageSize]="pageSize"
      [skip]="skip"
      [pageable]="{ buttonCount: 5, pageSizes: [10, 25, 50] }"
      style="height: 60vh"
      class="mt-1"
    >
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column
          field="TipoCuarto"
          title="Tipo"
          width="130"
        ></kendo-grid-column>
        <kendo-grid-column
          field="tMD"
          title="M"
          width="130"
        ></kendo-grid-column>
        <kendo-grid-column
          field="tTot"
          title="Total"
          width="130"
        ></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid> -->
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>